package com.sifang.modules.customer.entity;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * crm_account_set
 * @author
 */
@Entity
@Table(name = "crm_account_set")
public class CrmAccountSet implements Serializable {
    /**
     * 主键
     */
    @Id
    private String id;

    /**
     * 1.标准授信额 2.可授信额上限 3.预结算比例 4.质保金单价设置
     */
    private String type;

    /**
     * 设置内容
     */
    private String content;

    /**
     * 比例/单价
     */
    private BigDecimal proportion;

    /**
     * 添加时间
     */
    private Date createTime;

    /**
     * 结算方式1.按瓦数  2.按组件块数 3.按结算比例（质保金账户使用）
    */
    private String way;

    public String getWay() {
        return way;
    }

    public void setWay(String way) {
        this.way = way;
    }

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public BigDecimal getProportion() {
        return proportion;
    }

    public void setProportion(BigDecimal proportion) {
        this.proportion = proportion;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
